Bug 39110 - [Qt] QtWebKit on Qt 4.7 depends on QtMultimedia which will be removed from Qt 4.7
Summary: [Qt] QtWebKit on Qt 4.7 depends on QtMultimedia which will be removed from Qt...
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P3 Blocker
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks: 35784
  Show dependency treegraph
 
Reported: 2010-05-14 01:00 PDT by Henry Haverinen
Modified: 2010-05-14 01:31 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Haverinen 2010-05-14 01:00:39 PDT
Bug 34361 (https://bugs.webkit.org/show_bug.cgi?id=34631) added support for the QtMultimedia framework in QtWebKit. At that time, QtMultimedia had been integrated to Qt 4.7. So the code uses preprosessor code such as  #if QT_VERSION < 0x040700 to decide whether to use Phonon or QtMultimedia.
  
However, the high-level playback functionality of Qt Multimedia will be removed from the final version Qt 4.7. So this code will not work (or compile) on Qt 4.7 anymore.
Comment 1 Simon Hausmann 2010-05-14 01:29:03 PDT
Committed r58390: <http://trac.webkit.org/changeset/58390>
Comment 2 Simon Hausmann 2010-05-14 01:31:32 PDT
(In reply to comment #1)
> Committed r58390: <http://trac.webkit.org/changeset/58390>

Cherry-picked into qtwebkit-2.0 with commit 3f78c44aa21a5140996abcef10ae12a5df27dbd0.

Bug 38612 includes a follow-up fix.

Both fixes made it into Qt 4.7 last week :)